---
title: DOMPointReadOnly.y
slug: Web/API/DOMPointReadOnly/y
tags:
  - API
  - Coordinates
  - DOM
  - DOMPointReadOnly
  - Geometry
  - Geometry Interfaces
  - Point
  - Property
  - Read-only
  - Reference
  - Vertical
  - 'y'
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>DOMPointReadOnly</strong></code> interface's <code><strong>y</strong></code> property holds the vertical coordinate, y, for a read-only point in space.</span> If your script needs to be able to change the value of this property, you should instead use the {{domxref("DOMPoint")}} object.</p>

<p>In general, positive values of <code>y</code> mean downward, and negative values of <code>y</code> mean upward, assuming no transforms have resulted in a reversal.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <var>yPos</var> = <var>someDOMPointReadOnly</var>.y;</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the y coordinate's value for the point. This value is <strong>unrestricted</strong>, meaning that it is allowed to be infinite or invalid (that is, its value may be {{jsxref("NaN")}} or {{jsxref("Infinity", "±Infinity")}}).</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompointreadonly-y', 'y')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointReadOnly.y")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The other coordinate properties: {{domxref("DOMPointReadOnly.x", "x")}}, {{domxref("DOMPointReadOnly.z", "z")}}, and the perspective value, {{domxref("DOMPointReadOnly.w", "w")}}.</li>
</ul>
